# List webhook deliveries (/docs/reference/Rest-API/api-docs/webhooks/getWebhookDeliveries)


{/* This file was generated by Fumadocs. Do not edit this file directly. Any changes should be made by running the generation command again. */}

## GET /v2/webhooks/deliveries

`GET https://api.verdocs.com/v2/webhooks/deliveries`

### Query parameters

- `event` (string): Only deliveries for this event.
- `envelope_id` (string): Only deliveries about this envelope.
- `status` (string): Only deliveries in this state. One of: `"delivered"`, `"failed"`, `"pending"`.
- `created_after` (string, date): Only deliveries created at or after this time.
- `created_before` (string, date): Only deliveries created before this time.
- `rows` (integer): Page size, up to 100. Default: `25`.
- `page` (integer): Page to retrieve (0-based). Default: `0`.

### Responses

#### 200: Success

Content type `application/json`.

- `count` (integer, int32): The total number of matching deliveries.
- `rows` (integer, int32): The page size used.
- `page` (integer, int32): The page returned.
- `deliveries` (IWebhookDelivery[]): The deliveries on this page.

#### 400: Request Error

Content type `application/json`.

- `status` (string, required): Always set to "ERROR". One of: `"ERROR"`.
- `error` (string, required): Description of the error that occurred.

#### 401: Access Denied

Content type `application/json`.

- `status` (string, required): Always set to "ERROR". One of: `"ERROR"`.
- `error` (string, required): Description of the error that occurred.

#### 404: Not Found

Content type `application/json`.

- `status` (string, required): Always set to "ERROR". One of: `"ERROR"`.
- `error` (string, required): Description of the error that occurred.

#### 406: Invalid Parameter

Content type `application/json`.

- `status` (string, required): Always set to "ERROR". One of: `"ERROR"`.
- `error` (string, required): Description of the error that occurred.

### Example request

```bash
curl -X GET "https://api.verdocs.com/v2/webhooks/deliveries?param=value" \
    -H "Authorization: Bearer ACCESS_TOKEN" \
    -H "content-type: application/json" \
    -d '{"param": "value"}'
```
